# Asterisk Project : Asterisk 13 Function_PP_EACH_USER

Created by wikibot on Aug 08, 2014

# PP_EACH_USER()

### Synopsis

Generate a string for each phoneprov user.

### Description

Pass in a string, with phoneprov variables you want substituted in the format of %{VARNAME}, and you will get the string rendered for each user in phoneprov excluding ones with MAC address exclude_mac. Probably not useful outside of res_phoneprov.

Example: ${PP_EACH_USER(<item><fn>%{DISPLAY_NAME}</fn></item>|${MAC})

### Syntax

    PP_EACH_USER(string,exclude_mac)

##### Arguments

- `string`
- `exclude_mac`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538